import { readFile } from 'node:fs/promises';
import { resolve } from 'node:path';
/**
 * Get Next.js config from the build output
 */
export const getRunConfig = async () => {
    // get config from the build output
    return JSON.parse(await readFile(resolve('.next/required-server-files.json'), 'utf-8')).config;
};
/**
 * Configure the custom cache handler at request time
 */
export const setRunConfig = (config) => {
    // set the path to the cache handler
    config.experimental = {
        ...config.experimental,
        incrementalCacheHandlerPath: resolve('cache.cjs'),
    };
    // set config
    process.env.__NEXT_PRIVATE_STANDALONE_CONFIG = JSON.stringify(config);
};
